aboutsummaryrefslogtreecommitdiffstats
path: root/plans/dcaegen2-collectors-datafile/Functional-suite/setup.sh
diff options
context:
space:
mode:
authorTamasBakai <tamas.bakai@est.tech>2019-08-23 13:31:57 +0000
committeryanhuanwang <martin.c.yan@est.tech>2019-09-06 09:33:51 +0200
commite81736c80a95e8766f4305f5bb63e56f14dd798e (patch)
tree5e7ea0ab493c86ed2742bd5f853544739d38d4b3 /plans/dcaegen2-collectors-datafile/Functional-suite/setup.sh
parent6a8875e2bae1bf39f265179d1649fb8c9ed7e9a6 (diff)
CSIT uplift for CBS, generalized DFC, bugfixes, stability, traceability
Issue-ID: DCAEGEN2-1719 Change-Id: If5c96a7f205a34f78e50585a7187c5b9a3820023 Signed-off-by: TamasBakai <tamas.bakai@est.tech>
Diffstat (limited to 'plans/dcaegen2-collectors-datafile/Functional-suite/setup.sh')
-rw-r--r--plans/dcaegen2-collectors-datafile/Functional-suite/setup.sh28
1 files changed, 24 insertions, 4 deletions
diff --git a/plans/dcaegen2-collectors-datafile/Functional-suite/setup.sh b/plans/dcaegen2-collectors-datafile/Functional-suite/setup.sh
index e2a0c126..2d276e51 100644
--- a/plans/dcaegen2-collectors-datafile/Functional-suite/setup.sh
+++ b/plans/dcaegen2-collectors-datafile/Functional-suite/setup.sh
@@ -3,14 +3,26 @@
#Stop all running containers
docker kill "$(docker ps -q -a)"
docker rm "$(docker ps -q -a)"
+docker system prune -f
# Clone Simulators for DFC from integration repo.
mkdir -p $WORKSPACE/archives/dfc
cd $WORKSPACE/archives/dfc
-git clone --depth 1 https://gerrit.onap.org/r/integration -b master
-#Location of all individual simulators for DFC
-SIM_ROOT=$WORKSPACE/archives/dfc/integration/test/mocks/datafilecollector-testharness
+
+if [ -z "$SIM_ROOT" ]
+then
+ #git clone --depth 1 https://gerrit.onap.org/r/integration -b master
+ git clone https://github.com/yanhuanwang/integration.git
+ #Location of all individual simulators for DFC
+ echo "Determine SIM_ROOT based on the WORKSPACE"
+ SIM_ROOT=$WORKSPACE/archives/dfc/integration/test/mocks/datafilecollector-testharness
+
+ rm $SIM_ROOT/simulator-group/consul/consul/cbs_localhost_config.hcl || true
+else
+ echo "Using SIM_ROOT from environmental variable: " $SIM_ROOT
+fi
+
#Location of the above simulators when run as a group. For start+config and stop.
SIMGROUP_ROOT=$SIM_ROOT/simulator-group
@@ -20,7 +32,11 @@ SIM_IP="127.0.0.1"
DFC_ROOT=$WORKSPACE/scripts/dcaegen2-collectors-datafile/dfc-management
#Make the env vars availble to the robot scripts
-ROBOT_VARIABLES="-v SIMGROUP_ROOT:${SIMGROUP_ROOT} -v SIM_IP:${SIM_IP} -v DFC_ROOT:${DFC_ROOT}"
+ROBOT_VARIABLES="-b debug.log -v SIMGROUP_ROOT:${SIMGROUP_ROOT} -v SIM_IP:${SIM_IP} -v DFC_ROOT:${DFC_ROOT}"
+
+
+
+
#Build needed simulator images. DR and MR simulators
@@ -40,5 +56,9 @@ cd $SIMGROUP_ROOT
cp -r ../ftps-sftp-server/configuration .
cp -r ../ftps-sftp-server/tls .
+cd ../ftps-sftp-server
+docker build -t ftps_vsftpd:latest -f Dockerfile-ftps .
+
+
#All containers will be started and stopped via the robot tests.